import React from 'react';
import PropTypes from 'prop-types';

export default function TripUpdatesRouteDayTableEntries ({array}) {
    if ( array !== undefined && array !== null && array.length > 0 ) {

	//TODO Shall we switch from UTC to local time zone for item.timestamp_pgsql?
        //iterate over array
        return array.map((item, index) => {
            return (
		<tr
		    key={index}
		>
		    <td>{item.agency_name}</td>
		    <td>{item.agency_id}</td>
		    <td>{item.route_id}</td>
		    <td>{item.route_short_name}</td>
		    <td>{item.service_id}</td>
		    <td>{item.trip_id}</td>
		    <td>{item.trip_short_name}</td>
		    <td>{item.trip_headsign}</td>
		    <td>{item.timestamp_pgsql}</td>
		</tr>
	    );
        });
    }else{
	//data is empty
	return null;
    }
};

TripUpdatesRouteDayTableEntries.propTypes = {
    array: PropTypes.array
};
